Difference between revisions of "Template talk:Installation/Common"

From diaspora* project wiki
Jump to: navigation, search
(ENV for script/server and rake assets:precompile)
Line 3: Line 3:
 
[[User:Eins78]] Those changes shouldn't be necessary. <tt>rake assets:precompile</tt> automatically runs in production mode (not that it would matter if it runs in development). <tt>script/server</tt> should read and set <tt>RAILS_ENV</tt> from <tt>config/diaspora.yml</tt>, was that not the case for you? Did you maybe forget to uncomment the corresponding line? --[[User:MrZYX|MrZYX]] ([[User talk:MrZYX|talk]]) 19:59, 20 February 2014 (UTC)
 
[[User:Eins78]] Those changes shouldn't be necessary. <tt>rake assets:precompile</tt> automatically runs in production mode (not that it would matter if it runs in development). <tt>script/server</tt> should read and set <tt>RAILS_ENV</tt> from <tt>config/diaspora.yml</tt>, was that not the case for you? Did you maybe forget to uncomment the corresponding line? --[[User:MrZYX|MrZYX]] ([[User talk:MrZYX|talk]]) 19:59, 20 February 2014 (UTC)
  
[[User:MrZYX|MrZYX]] I just got confused about which vars needed to be added. You are right, ENV is not needed. DB is needed, though. [[User:Eins78|Eins78]] ([[User talk:Eins78|talk]]) 21:47, 20 February 2014 (UTC)
+
: [[User:MrZYX|MrZYX]] I just got confused about which vars needed to be added. You are right, ENV is not needed. DB is needed, though. [[User:Eins78|Eins78]] ([[User talk:Eins78|talk]]) 21:47, 20 February 2014 (UTC)
 +
 
 +
:: <tt>DB</tt> defaults to mysql if unset, so it's only needed if you choose the Postgres version. I didn't check for some time but was that broken in the previous version? --[[User:MrZYX|MrZYX]] ([[User talk:MrZYX|talk]]) 21:50, 20 February 2014 (UTC)

Revision as of 21:50, 20 February 2014

ENV for script/server and rake assets:precompile

User:Eins78 Those changes shouldn't be necessary. rake assets:precompile automatically runs in production mode (not that it would matter if it runs in development). script/server should read and set RAILS_ENV from config/diaspora.yml, was that not the case for you? Did you maybe forget to uncomment the corresponding line? --MrZYX (talk) 19:59, 20 February 2014 (UTC)

MrZYX I just got confused about which vars needed to be added. You are right, ENV is not needed. DB is needed, though. Eins78 (talk) 21:47, 20 February 2014 (UTC)
DB defaults to mysql if unset, so it's only needed if you choose the Postgres version. I didn't check for some time but was that broken in the previous version? --MrZYX (talk) 21:50, 20 February 2014 (UTC)